# $Id: kronolith-h3.spec,v 1.1 2016/02/24 08:42:34 unnilennium Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The web-based calendar system for Horde.
Name: kronolith-h3
Version: 2.3.5
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/kronolith/tarballs/kronolith-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.2
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Kronolith is a web-based calendar system written in PHP and utilizing the
Horde Application Framework.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/kronolith
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/kronolith
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/kronolith/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/kronolith
# Include top-level files by hand
%{contentdir}/html/horde/kronolith/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/kronolith/js
%{contentdir}/html/horde/kronolith/lib
%{contentdir}/html/horde/kronolith/locale
%{contentdir}/html/horde/kronolith/po
%{contentdir}/html/horde/kronolith/scripts
%{contentdir}/html/horde/kronolith/templates
%{contentdir}/html/horde/kronolith/themes
%{contentdir}/html/horde/kronolith/calendars
%{contentdir}/html/horde/kronolith/feed
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/kronolith/COPYING
%doc %{contentdir}/html/horde/kronolith/README
%docdir %{contentdir}/html/horde/kronolith/docs
%{contentdir}/html/horde/kronolith/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/kronolith/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/kronolith/config/.htaccess
%{contentdir}/html/horde/kronolith/config/*.dist
%config %{contentdir}/html/horde/kronolith/config/*.php
%config %{contentdir}/html/horde/kronolith/config/*.xml

%changelog
* Sat Nov 06 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.5-1
- Updated to Kronolith 2.3.5

* Wed May 5 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.4-1
- Updated to Kronolith 2.3.4

* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.3-1
- Updated to Kronolith 2.3.3

* Fri Oct 9 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.2-1
- Updated to Kronolith 2.3.2

* Wed Apr 1 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.3.1-1
- Updated to Kronolith 2.3.1

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.3-1       
- Updated to Kronolith 2.3

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- initial RPM roll for Kronolith 2.2
